[Backgroundrb-devel] Error starting up Backgroundrb

hemant gethemant at gmail.com
Wed Nov 19 01:50:40 EST 2008


1. You need 0.1.14 packet version
2. which rails version you are using? Are you having config.plugins in
environment.rb?
3. Do you have vendor/plugins/backgroundrb/lib/backgroundrb/bdrb_start_stop.rb
file?



On Wed, Nov 19, 2008 at 11:05 AM, Raghu Srinivasan
<raghu.srinivasan at gmail.com> wrote:
> Hello everyone, I am hoping to get some help with my upgrade of BDRB.
>
> As per one of Hemant's earlier emails, I started following along as per the
> instructions at http://backgroundrb.rubyforge.org
>
> 1) git clone for bdrb (after I removed the older backgroundrb directory from
> /vendor/plugins)
> 2) upgraded packet to 0.1.7 from 0.1.5
> 3) removed backgroundrb and load_worker_env.rb from the script directory
> 4) did a rake backgroundrb:setup
> 5) did a rake db:migrate and ensured that the table got created in the db
> 6) copied over my original backgroundrb.yml
>
> So far so good. Now when I try to start bdrb, I get this error:
> ======
> ffapi ~/public_html/feedflix.com/ff: script/backgroundrb start
> /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:263:in
> `load_missing_constant': uninitialized constant BackgrounDRb::StartStop
> (NameError)
>         from
> /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:453:in
> `const_missing'
>         from script/backgroundrb:32
> ffapi ~/public_html/feedflix.com/ff:
> =======
> I feel like I am missing something obvious here. Can someone help?
>
> Thanks!
> Raghu
>
>
> _______________________________________________
> Backgroundrb-devel mailing list
> Backgroundrb-devel at rubyforge.org
> http://rubyforge.org/mailman/listinfo/backgroundrb-devel
>



-- 
Let them talk of their oriental summer climes of everlasting
conservatories; give me the privilege of making my own summer with my
own coals.

http://gnufied.org


More information about the Backgroundrb-devel mailing list